# Update Inventory Update an inventory for a given inventoryId. Note: Value for rememberLicense can be GLOBAL or INVENTORY (default). - GLOBAL: Saves and applies the component version and license mapping to the current inventory and all future inventories across projects. - INVENTORY: Updates only the current inventory. Future inventories will use the original license mapping. Endpoint: PUT /inventories/{inventoryId} Version: v1 Security: bearerAuth ## Path parameters: - `inventoryId` (integer, required) ID of the Inventory Example: 1 ## Request fields (application/json): - `name` (string) name Example: "maven-artifact 3.6.1 (Apache-2.0)" - `description` (string) description Example: "Sources: scm:git:https://git-wip-us.apache.org/repos/asf/maven.git" - `url` (string) url Example: "https://repo1.maven.org/maven2/org/apache/maven/maven-artifact" - `priority` (string) priority Enum: "P1", "P2", "P3", "P4" - `disclosed` (string) disclosed Enum: "YES", "NO" - `distribution` (string) distribution Enum: "UNKNOWN", "INTERNAL", "EXTERNAL", "HOSTED_ANY", "HOSTED_INTERNAL", "HOSTED_EXTERNAL" - `partOfProduct` (string) partOfProduct Enum: "UNKNOWN", "YES", "NO" - `linking` (string) linking Enum: "UNKNOWN", "NOT_LINKED", "STATIC", "DYNAMIC" - `modified` (string) modified Enum: "UNKNOWN", "YES", "NO" - `encryption` (string) encryption Enum: "UNKNOWN", "YES", "NO" - `auditorReviewNotes` (string) auditorReviewNotes - `noticeText` (string) noticeText - `usageGuidance` (string) usageGuidance - `remediationNotes` (string) remediationNotes - `confidenceLevel` (string) confidenceLevel Enum: "HIGH", "MEDIUM", "LOW" - `inventoryType` (string) inventoryType Example: "COMPONENT | LICENSE | WORK_IN_PROGRESS" - `component` (object) component - `component.id` (string, required) id Example: "58316" - `component.versionId` (string, required) versionId Example: "3704669" - `component.licenseId` (string, required) licenseId Example: "158" - `rememberLicense` (string) rememberLicense Example: "GLOBAL | INVENTORY default: INVENTORY" - `workflowURL` (string) workflowURL Example: "SVM-123 | https://www.example.com | default: None" - `invProvenanceId` (integer) invProvenanceId Example: 1 - `customFields` (array) customFields - `customFields.value` (string, required) value Example: "Value for custom field" - `copyrights` (array) copyrights ## Response 200 fields ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 500 fields